CHCON(1)

NAME
chcon - change file SELinux security context

SYNOPSIS
chcon [OPTION]... CONTEXT FILE...
chcon [OPTION]... [-u USER] [-r ROLE] [-l RANGE] [-t TYPE] FILE...
chcon [OPTION]... --reference=RFILE FILE...

DESCRIPTION

Change the security context of each FILE to CONTEXT.

-c, --changes
    like verbose but report only when a change is made

-h, --no-dereference
    affect symbolic links instead of any referenced file (available only on systems with lchown system call)

-f, --silent, --quiet
    suppress most error messages

--reference=RFILE
    use RFILE's context instead of using a CONTEXT value

-u, --user=USER
    set user USER in the target security context

-r, --role=ROLE
    set role ROLE in the target security context

-t, --type=TYPE
    set type TYPE in the target security context

-l, --range=RANGE
    set range RANGE in the target security context

-R, --recursive
    change files and directories recursively

-v, --verbose
    output a diagnostic for every file processed

--help
    display this help and exit

--version
    output version information and exit

REPORTING BUGS
Report bugs to <https://bugzilla.redhat.com/bugzilla>.

SEE ALSO
The full documentation for chcon is maintained as a Texinfo manual. If the info and chcon programs are properly installed at your site, the command

    info coreutils chcon

should give you access to the complete manual.